/**
 * Program skeleton for the course "Programming embedded systems"
 */

#include <stdio.h>

/* Scheduler includes. */
#include "FreeRTOS.h"
#include "stm32f10x_conf.h"
#include "task.h"
#include "setup.h"

/*-----------------------------------------------------------*/

/*
 * Entry point of program execution
 */
int main( void )
{
  int a = 0, b = 1;
  int i;

  prvSetupHardware();

  for (i = 0; i < 10; ++i) {
    int t;
    printf("%d\n", a);
    t = b;
	b = a + b;
	a = t;
  }

  vTaskStartScheduler();
  assert(0);
  return 0;                 // not reachable
}
/*-----------------------------------------------------------*/


